Bug 834744 - SELinux prevents bluetoothd from using headset
SELinux prevents bluetoothd from using headset
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 01:27 EDT by Andre Naehring
Modified: 2012-08-06 02:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 02:20:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Naehring 2012-06-23 01:27:22 EDT
Description of problem: Enabled selinux prevents bluetoothd to use headset


Version-Release number of selected component (if applicable):
bluetooth / selinux

How reproducible:


Steps to Reproduce:
0. use default selinux settings (activated)
1. pair headset
2. activate the headset
3. bluetooth drops the connection
  
Actual results: Not able to use the headset (Phillips SHB 9100) with activated selinux.


Expected results: Headset should work ot of the box 


Additional info: 

Disabling selinux sets the headset useable.

[user@thimble ~]$ sudo getenforce
Enforcing

[user@thimble ~]$ service bluetooth start
Redirecting to /bin/systemctl  start bluetooth.service
Failed to issue method call: Access denied
[user@thimble ~]$ sudo service bluetooth start
Redirecting to /bin/systemctl  start bluetooth.service

[user@thimble ~]$ sudo tail -f /var/log/messages
Jun 23 07:14:55 thimble bluetoothd[2550]: Adapter /org/bluez/2550/hci0 has been enabled
Jun 23 07:14:55 thimble bluetoothd[2550]: bluetoothd[2550]: Adapter /org/bluez/2550/hci0 has been enabled
Jun 23 07:14:55 thimble bluetoothd[2550]: bluetoothd[2550]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/HFPAG
Jun 23 07:14:55 thimble bluetoothd[2550]: bluetoothd[2550]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
Jun 23 07:14:55 thimble bluetoothd[2550]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/HFPAG
Jun 23 07:14:55 thimble bluetoothd[2550]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
Jun 23 07:14:55 thimble bluetoothd[2550]: bluetoothd[2550]: Inquiry Cancel Failed with status 0x12
Jun 23 07:14:55 thimble bluetoothd[2550]: Inquiry Cancel Failed with status 0x12
Jun 23 07:14:55 thimble dbus-daemon[1047]: dbus[1047]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.70" (uid=1000 pid=1653 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.102" (uid=0 pid=2550 comm="/usr/sbin/bluetoothd -n ")
Jun 23 07:14:55 thimble dbus[1047]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.70" (uid=1000 pid=1653 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.102" (uid=0 pid=2550 comm="/usr/sbin/bluetoothd -n ")
Jun 23 07:15:10 thimble bluetoothd[2550]: bluetoothd[2550]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
Jun 23 07:15:10 thimble bluetoothd[2550]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
Jun 23 07:15:11 thimble kernel: [  476.870926] input: 00:22:37:02:7A:C0 as /devices/virtual/input/input22
Jun 23 07:15:11 thimble pulseaudio[1558]: [pulseaudio] module-bluetooth-device.c: Bluetooth audio service not available
Jun 23 07:15:11 thimble bluetoothd[2550]: bluetoothd[2550]: /org/bluez/2550/hci0/dev_00_22_37_02_7A_C0/fd1: fd(29) ready
Jun 23 07:15:11 thimble bluetoothd[2550]: /org/bluez/2550/hci0/dev_00_22_37_02_7A_C0/fd1: fd(29) ready
Jun 23 07:15:11 thimble pulseaudio[1558]: [pulseaudio] bluetooth-util.c: Failed to acquire transport fd: Message did not receive a reply (timeout by message bus)
Jun 23 07:15:11 thimble pulseaudio[1558]: [pulseaudio] module.c: Failed to load module "module-bluetooth-device" (argument: "address="00:22:37:02:7A:C0" path="/org/bluez/2550/hci0/dev_00_22_37_02_7A_C0""): initialization failed.
Jun 23 07:15:11 thimble acpid: input device has been disconnected, fd 21
Jun 23 07:15:11 thimble systemd[1]: bluetooth.service: main process exited, code=exited, status=1
Jun 23 07:15:11 thimble systemd[1]: Unit bluetooth.service entered failed state.
Jun 23 07:15:14 thimble hp[1572]: io/hpmud/musb.c 1126: unable to open hp:/usb/Officejet_5600_series?serial=CN6AJD712304B2
Jun 23 07:15:14 thimble hp[1572]: prnt/backend/hp.c 746: INFO: open device failed stat=12: hp:/usb/Officejet_5600_series?serial=CN6AJD712304B2; will retry in 30 seconds...

^C[user@thimble ~]$ sudo service bluetooth stop
Redirecting to /bin/systemctl  stop bluetooth.service

[user@thimble ~]$ sudo setenforce 0

[user@thimble ~]$ sudo service bluetooth start
Redirecting to /bin/systemctl  start bluetooth.service

[user@thimble ~]$ sudo tail -f /var/log/messages
Jun 23 07:15:35 thimble bluetoothd[2592]: bluetoothd[2592]: Unable to load keys to adapter_ops: Function not implemented (38)
Jun 23 07:15:35 thimble bluetoothd[2592]: bluetoothd[2592]: Adapter /org/bluez/2592/hci0 has been enabled
Jun 23 07:15:35 thimble bluetoothd[2592]: bluetoothd[2592]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/HFPAG
Jun 23 07:15:35 thimble bluetoothd[2592]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/HFPAG
Jun 23 07:15:35 thimble bluetoothd[2592]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
Jun 23 07:15:35 thimble bluetoothd[2592]: bluetoothd[2592]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
Jun 23 07:15:35 thimble bluetoothd[2592]: bluetoothd[2592]: Inquiry Cancel Failed with status 0x12
Jun 23 07:15:35 thimble bluetoothd[2592]: Inquiry Cancel Failed with status 0x12
Jun 23 07:15:36 thimble dbus-daemon[1047]: dbus[1047]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.70" (uid=1000 pid=1653 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.104" (uid=0 pid=2592 comm="/usr/sbin/bluetoothd -n ")
Jun 23 07:15:36 thimble dbus[1047]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.70" (uid=1000 pid=1653 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.104" (uid=0 pid=2592 comm="/usr/sbin/bluetoothd -n ")
Jun 23 07:15:44 thimble hp[1572]: io/hpmud/musb.c 1126: unable to open hp:/usb/Officejet_5600_series?serial=CN6AJD712304B2
Jun 23 07:15:44 thimble hp[1572]: prnt/backend/hp.c 746: INFO: open device failed stat=12: hp:/usb/Officejet_5600_series?serial=CN6AJD712304B2; will retry in 30 seconds...
Jun 23 07:15:46 thimble bluetoothd[2592]: bluetoothd[2592]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
Jun 23 07:15:46 thimble bluetoothd[2592]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
Jun 23 07:15:47 thimble kernel: [  513.601148] input: 00:22:37:02:7A:C0 as /devices/virtual/input/input23
Jun 23 07:15:48 thimble pulseaudio[1558]: [pulseaudio] module-bluetooth-device.c: Bluetooth audio service not available
Jun 23 07:15:48 thimble bluetoothd[2592]: bluetoothd[2592]: /org/bluez/2592/hci0/dev_00_22_37_02_7A_C0/fd1: fd(29) ready
Jun 23 07:15:48 thimble bluetoothd[2592]: /org/bluez/2592/hci0/dev_00_22_37_02_7A_C0/fd1: fd(29) ready
Jun 23 07:15:48 thimble rtkit-daemon[1339]: Successfully made thread 2599 of process 1558 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.



Setting selinux to enforceing after start using the device everything works fine.



[user@thimble ~]$ sudo bluetoothd -d -n
bluetoothd[2813]: Bluetooth daemon 4.99
bluetoothd[2813]: src/main.c:parse_config() parsing main.conf
bluetoothd[2813]: src/main.c:parse_config() discovto=0
bluetoothd[2813]: src/main.c:parse_config() pairto=0
bluetoothd[2813]: src/main.c:parse_config() pageto=8192
bluetoothd[2813]: src/main.c:parse_config() auto_to=60
bluetoothd[2813]: src/main.c:parse_config() name=%h-%d
bluetoothd[2813]: src/main.c:parse_config() class=0x000100
bluetoothd[2813]: src/main.c:parse_config() discov_interval=30
bluetoothd[2813]: src/main.c:parse_config() Key file does not have key 'DeviceID'
bluetoothd[2813]: Starting SDP server
bluetoothd[2813]: src/plugin.c:plugin_init() Loading builtin plugins
bluetoothd[2813]: src/plugin.c:add_plugin() Loading audio plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading input plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading serial plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading network plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading service plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading cable plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading hciops plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading mgmtops plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading formfactor plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading storage plugin
bluetoothd[2813]: src/plugin.c:add_plugin() Loading adaptername plugin
bluetoothd[2813]: src/plugin.c:plugin_init() Loading plugins /usr/lib64/bluetooth/plugins
bluetoothd[2813]: plugins/service.c:register_interface() path /org/bluez/2813/any
bluetoothd[2813]: plugins/service.c:register_interface() Registered interface org.bluez.Service on path /org/bluez/2813/any
bluetoothd[2813]: plugins/cable.c:cable_init() Setup cable plugin
bluetoothd[2813]: network/manager.c:read_config() Config options: Security=true
bluetoothd[2813]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
bluetoothd[2813]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
bluetoothd[2813]: plugins/hciops.c:hciops_init() 
bluetoothd[2813]: plugins/hciops.c:hciops_setup() 
bluetoothd[2813]: src/main.c:main() Entering main loop
bluetoothd[2813]: src/rfkill.c:rfkill_event() RFKILL event idx 0 type 2 op 0 soft 0 hard 0
bluetoothd[2813]: src/rfkill.c:rfkill_event() RFKILL event idx 1 type 2 op 0 soft 0 hard 0
bluetoothd[2813]: src/rfkill.c:rfkill_event() RFKILL event idx 2 type 5 op 0 soft 0 hard 0
bluetoothd[2813]: src/rfkill.c:rfkill_event() RFKILL event idx 3 type 1 op 0 soft 0 hard 0
bluetoothd[2813]: plugins/hciops.c:init_known_adapters() 
bluetoothd[2813]: plugins/hciops.c:init_device() hci0
bluetoothd[2813]: Listening for HCI events on hci0
bluetoothd[2813]: plugins/hciops.c:init_conn_list() hci0
bluetoothd[2813]: HCI dev 0 up
bluetoothd[2813]: plugins/hciops.c:device_devup_setup() hci0
bluetoothd[2813]: plugins/hciops.c:read_local_version_complete() Got version for hci0
bluetoothd[2813]: src/adapter.c:btd_adapter_ref() 0x7fbed3945a60: ref=1
bluetoothd[2813]: plugins/hciops.c:hciops_read_bdaddr() hci0
bluetoothd[2813]: src/sdpd-database.c:sdp_init_services_list() 
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 0
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 0
bluetoothd[2813]: plugins/service.c:register_interface() path /org/bluez/2813/hci0
bluetoothd[2813]: plugins/service.c:register_interface() Registered interface org.bluez.Service on path /org/bluez/2813/hci0
bluetoothd[2813]: network/manager.c:network_server_probe() path /org/bluez/2813/hci0
bluetoothd[2813]: src/adapter.c:btd_adapter_ref() 0x7fbed3945a60: ref=2
bluetoothd[2813]: network/server.c:server_register() Registered interface org.bluez.NetworkServer on path /org/bluez/2813/hci0
bluetoothd[2813]: serial/manager.c:proxy_probe() path /org/bluez/2813/hci0
bluetoothd[2813]: src/adapter.c:btd_adapter_ref() 0x7fbed3945a60: ref=3
bluetoothd[2813]: serial/proxy.c:proxy_register() Registered interface org.bluez.SerialProxyManager on path /org/bluez/2813/hci0
bluetoothd[2813]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
bluetoothd[2813]: src/adapter.c:btd_adapter_ref() 0x7fbed3945a60: ref=4
bluetoothd[2813]: audio/manager.c:media_server_probe() path /org/bluez/2813/hci0
bluetoothd[2813]: src/adapter.c:btd_adapter_ref() 0x7fbed3945a60: ref=5
bluetoothd[2813]: audio/manager.c:audio_adapter_ref() 0x7fbed39461a0: ref=1
bluetoothd[2813]: audio/manager.c:headset_server_probe() path /org/bluez/2813/hci0
bluetoothd[2813]: audio/manager.c:audio_adapter_ref() 0x7fbed39461a0: ref=2
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10000
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 0
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000003-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001108-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001112-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001203-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10001
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 64
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000003-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000111e-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000111f-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001203-0000-1000-8000-00805f9
bluetoothd[2813]: audio/manager.c:a2dp_server_probe() path /org/bluez/2813/hci0
bluetoothd[2813]: audio/manager.c:audio_adapter_ref() 0x7fbed39461a0: ref=3
bluetoothd[2813]: audio/manager.c:avrcp_server_probe() path /org/bluez/2813/hci0
bluetoothd[2813]: audio/manager.c:audio_adapter_ref() 0x7fbed39461a0: ref=4
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10002
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 64
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000017-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110c-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110e-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10003
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 64
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000017-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110e-0000-1000-8000-00805f9
bluetoothd[2813]: plugins/adaptername.c:adaptername_probe() Setting name 'thimble.b1-systems.local-0' for device 'hci0'
bluetoothd[2813]: plugins/hciops.c:hciops_set_name() hci0, name thimble.b1-systems.local-0
bluetoothd[2813]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2813]: plugins/formfactor.c:formfactor_probe() Setting 0x00010c for major/minor device class
bluetoothd[2813]: plugins/hciops.c:hciops_set_dev_class() hci0 major 1 minor 12
bluetoothd[2813]: plugins/hciops.c:hciops_unblock_device() hci0 dba 00:00:00:00:00:00
bluetoothd[2813]: src/device.c:device_create() Creating device /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: src/device.c:device_set_bonded() bonded 1
bluetoothd[2813]: src/device.c:btd_device_ref() 0x7fbed39495a0: ref=1
bluetoothd[2813]: src/device.c:device_set_temporary() temporary 0
bluetoothd[2813]: src/device.c:device_probe_drivers() Probing drivers for 00:22:37:02:7A:C0
bluetoothd[2813]: serial/manager.c:serial_probe() path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: 00001108-0000-1000-8000-00805f9b34fb
bluetoothd[2813]: serial/port.c:create_serial_device() Registered interface org.bluez.Serial on path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: serial/manager.c:serial_probe() path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: 0000111e-0000-1000-8000-00805f9b34fb
bluetoothd[2813]: input/manager.c:headset_probe() path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: src/device.c:btd_device_ref() 0x7fbed39495a0: ref=2
bluetoothd[2813]: input/device.c:input_device_new() Registered interface org.bluez.Input on path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2813]: src/device.c:btd_device_ref() 0x7fbed39495a0: ref=3
bluetoothd[2813]: audio/device.c:audio_device_register() Registered interface org.bluez.Audio on path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: audio/manager.c:handle_uuid() Found Headset record
bluetoothd[2813]: audio/headset.c:headset_init() Registered interface org.bluez.Headset on path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: audio/manager.c:handle_uuid() Found Handsfree record
bluetoothd[2813]: audio/manager.c:handle_uuid() Found Audio Sink
bluetoothd[2813]: audio/sink.c:sink_init() Registered interface org.bluez.AudioSink on path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: audio/manager.c:handle_uuid() Found AV Target
bluetoothd[2813]: audio/control.c:control_init() Registered interface org.bluez.Control on path /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2813]: audio/manager.c:handle_uuid() Found AV Remote
bluetoothd[2813]: plugins/hciops.c:hciops_load_keys() hci0 keys 1 debug_keys 0
bluetoothd[2813]: Unable to load keys to adapter_ops: Function not implemented (38)
bluetoothd[2813]: plugins/hciops.c:hciops_get_conn_list() hci0
bluetoothd[2813]: src/adapter.c:load_connections() Adding existing connection to 00:22:37:02:7A:C0
bluetoothd[2813]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2813]: src/manager.c:btd_manager_register_adapter() Adapter /org/bluez/2813/hci0 registered
bluetoothd[2813]: src/adapter.c:btd_adapter_ref() 0x7fbed3945a60: ref=6
bluetoothd[2813]: plugins/hciops.c:hciops_set_dev_class() hci0 major 1 minor 0
bluetoothd[2813]: audio/manager.c:state_changed() /org/bluez/2813/hci0 powered on
bluetoothd[2813]: audio/telephony.c:telephony_init() 
bluetoothd[2813]: audio/headset.c:telephony_ready_ind() Telephony plugin initialized
bluetoothd[2813]: audio/headset.c:print_ag_features() HFP AG features: "Ability to reject a call" "Enhanced call status" "Extended Error Result Codes" 
bluetoothd[2813]: plugins/hciops.c:hciops_disable_cod_cache() hci0 cache_enable 1
bluetoothd[2813]: plugins/hciops.c:hciops_disable_cod_cache() hci0 current_cod 0x000000 wanted_cod 0x400100
bluetoothd[2813]: plugins/hciops.c:write_class() hci0 class 0x400100
bluetoothd[2813]: Adapter /org/bluez/2813/hci0 has been enabled
bluetoothd[2813]: plugins/hciops.c:hciops_set_discoverable() hci0 discoverable 0
bluetoothd[2813]: plugins/hciops.c:hciops_set_pairable() hci0 pairable 1
bluetoothd[2813]: plugins/hciops.c:hciops_stop_inquiry() hci0
bluetoothd[2813]: src/adapter.c:btd_adapter_unref() 0x7fbed3945a60: ref=5
bluetoothd[2813]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/HFPAG
bluetoothd[2813]: audio/avdtp.c:avdtp_register_sep() SEP 0x7fbed394c7a0 registered: type:0 codec:0 seid:1
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10004
bluetoothd[2813]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2813]: plugins/hciops.c:update_service_classes() hci0 value 72
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000019-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110a-0000-1000-8000-00805f9
bluetoothd[2813]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110d-0000-1000-8000-00805f9
bluetoothd[2813]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
bluetoothd[2813]: plugins/hciops.c:read_local_ext_features_complete() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:read_tx_power_complete() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2813]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2813]: plugins/hciops.c:write_class() hci0 class 0x480100
bluetoothd[2813]: Inquiry Cancel Failed with status 0x12
bluetoothd[2813]: plugins/hciops.c:read_local_name_complete() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2813]: plugins/hciops.c:read_simple_pairing_mode_complete() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2813]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2813]: plugins/hciops.c:read_scan_complete() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:hciops_set_limited_discoverable() hci0 limited 0
bluetoothd[2813]: src/adapter.c:adapter_mode_changed() old 0x00 new 0x02
bluetoothd[2813]: src/adapter.c:set_mode_complete() 
bluetoothd[2813]: src/adapter.c:register_agent() Agent registered for hci0 at :1.70:/org/bluez/agent/hci0
bluetoothd[2813]: plugins/hciops.c:disconn_complete() handle 12 status 0x00
bluetoothd[2813]: src/event.c:btd_event_disconn_complete() 
bluetoothd[2813]: src/adapter.c:adapter_remove_connection() 
bluetoothd[2813]: audio/headset.c:headset_set_state() State changed /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: HEADSET_STATE_DISCONNECTED -> HEADSET_STATE_CONNECTING
bluetoothd[2813]: audio/media.c:headset_state_changed() 
bluetoothd[2813]: audio/media.c:media_endpoint_async_call() Calling SetConfiguration: name = :1.53 path = /MediaEndpoint/HFPAG
bluetoothd[2813]: plugins/hciops.c:conn_complete() status 0x00
bluetoothd[2813]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2813]: plugins/hciops.c:remote_features_information() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:remote_name_information() hci0 status 0
bluetoothd[2813]: audio/headset.c:headset_set_channel() Discovered Handsfree service on channel 1
bluetoothd[2813]: audio/headset.c:rfcomm_connect() /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: Connecting to 00:22:37:02:7A:C0 channel 1
bluetoothd[2813]: plugins/hciops.c:link_key_request() hci0 dba 00:22:37:02:7A:C0
bluetoothd[2813]: plugins/hciops.c:get_auth_info() hci0 dba 00:22:37:02:7A:C0
bluetoothd[2813]: plugins/hciops.c:link_key_request() kernel auth requirements = 0x04
bluetoothd[2813]: plugins/hciops.c:link_key_request() Matching key found
bluetoothd[2813]: plugins/hciops.c:link_key_request() link key type 0x04
bluetoothd[2813]: plugins/hciops.c:auth_complete() hci0 status 0
bluetoothd[2813]: plugins/hciops.c:bonding_complete() status 0x00
bluetoothd[2813]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2813]: src/device.c:device_bonding_complete() bonding (nil) status 0x00
bluetoothd[2813]: audio/headset.c:headset_connect_cb() /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: Connected to 00:22:37:02:7A:C0
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+BRSF=27
bluetoothd[2813]: audio/headset.c:print_hf_features() HFP HF features: "EC and/or NR function" "Call waiting and 3-way calling" "Voice recognition activation" "Remote volume control" 
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+CIND=?
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+CIND?
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+CMER=3, 0, 0, 1
bluetoothd[2813]: audio/headset.c:event_reporting() Event reporting (CMER): mode=3, ind=1
bluetoothd[2813]: audio/headset.c:hfp_slc_complete() HFP Service Level Connection established
bluetoothd[2813]: audio/telephony.c:telephony_device_connected() telephony-dummy: device 0x7fbed394bf10 connected
bluetoothd[2813]: audio/headset.c:headset_set_state() State changed /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: HEADSET_STATE_CONNECTING -> HEADSET_STATE_CONNECTED
bluetoothd[2813]: audio/media.c:headset_state_changed() 
bluetoothd[2813]: audio/avdtp.c:avdtp_ref() 0x7fbed394f750: ref=2
bluetoothd[2813]: audio/avdtp.c:avdtp_ref() 0x7fbed394f750: ref=3
bluetoothd[2813]: audio/sink.c:sink_set_state() State changed /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: SINK_STATE_DISCONNECTED -> SINK_STATE_CONNECTING
bluetoothd[2813]: audio/avdtp.c:avdtp_unref() 0x7fbed394f750: ref=2
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+VGS=06
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+VGM=10
bluetoothd[2813]: audio/headset.c:handle_event() Received AT+CSRSF=0,0,0,0,0,7
bluetoothd[2813]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
bluetoothd[2813]: audio/avdtp.c:avdtp_connect_cb() AVDTP: connected signaling channel to 00:22:37:02:7A:C0
bluetoothd[2813]: audio/avdtp.c:avdtp_connect_cb() AVDTP imtu=672, omtu=895
bluetoothd[2813]: audio/avctp.c:avctp_set_state() AVCTP Connecting
bluetoothd[2813]: audio/avdtp.c:session_cb() 
bluetoothd[2813]: audio/avdtp.c:avdtp_parse_resp() DISCOVER request succeeded
bluetoothd[2813]: audio/avdtp.c:avdtp_discover_resp() seid 1 type 1 media 0 in use 0
bluetoothd[2813]: audio/avdtp.c:avdtp_discover_resp() seid 3 type 1 media 0 in use 0
bluetoothd[2813]: audio/avdtp.c:session_cb() 
bluetoothd[2813]: audio/avdtp.c:avdtp_parse_resp() GET_CAPABILITIES request succeeded
bluetoothd[2813]: audio/avdtp.c:avdtp_get_capabilities_resp() seid 1 type 1 media 0
bluetoothd[2813]: audio/avdtp.c:session_cb() 
bluetoothd[2813]: audio/avdtp.c:avdtp_parse_resp() GET_CAPABILITIES request succeeded
bluetoothd[2813]: audio/avdtp.c:avdtp_get_capabilities_resp() seid 3 type 1 media 0
bluetoothd[2813]: audio/sink.c:discovery_complete() Discovery complete
bluetoothd[2813]: audio/avdtp.c:avdtp_ref() 0x7fbed394f750: ref=3
bluetoothd[2813]: audio/a2dp.c:setup_ref() 0x7fbed39420e0: ref=1
bluetoothd[2813]: audio/media.c:media_endpoint_async_call() Calling SelectConfiguration: name = :1.53 path = /MediaEndpoint/A2DPSource
bluetoothd[2813]: audio/a2dp.c:a2dp_config() a2dp_config: selected SEP 0x7fbed394c7a0
bluetoothd[2813]: audio/a2dp.c:setup_ref() 0x7fbed39420e0: ref=2
bluetoothd[2813]: audio/avdtp.c:avdtp_set_configuration() 0x7fbed394f750: int_seid=1, acp_seid=1
bluetoothd[2813]: audio/a2dp.c:setup_unref() 0x7fbed39420e0: ref=1
bluetoothd[2813]: audio/avdtp.c:session_cb() 
bluetoothd[2813]: audio/avdtp.c:avdtp_parse_resp() SET_CONFIGURATION request succeeded
bluetoothd[2813]: audio/a2dp.c:setconf_cfm() Source 0x7fbed394c7a0: Set_Configuration_Cfm
bluetoothd[2813]: audio/media.c:media_endpoint_async_call() Calling SetConfiguration: name = :1.53 path = /MediaEndpoint/A2DPSource
bluetoothd[2813]: audio/avdtp.c:avdtp_sep_set_state() stream state changed: IDLE -> CONFIGURED
bluetoothd[2813]: audio/avctp.c:avctp_connect_cb() AVCTP: connected to 00:22:37:02:7A:C0
bluetoothd[2813]: audio/avctp.c:init_uinput() AVRCP: uinput initialized for 00:22:37:02:7A:C0
bluetoothd[2813]: audio/avctp.c:avctp_set_state() AVCTP Connected
bluetoothd[2813]: audio/avdtp.c:session_cb() 
bluetoothd[2813]: audio/avdtp.c:avdtp_parse_resp() OPEN request succeeded
bluetoothd[2813]: audio/avdtp.c:avdtp_connect_cb() AVDTP: connected transport channel to 00:22:37:02:7A:C0
bluetoothd[2813]: audio/avdtp.c:handle_transport_connect() Flushable packets enabled
bluetoothd[2813]: audio/avdtp.c:handle_transport_connect() sk 29, omtu 895, send buffer size 106496
bluetoothd[2813]: audio/a2dp.c:open_cfm() Source 0x7fbed394c7a0: Open_Cfm
bluetoothd[2813]: audio/sink.c:stream_setup_complete() Stream successfully created
bluetoothd[2813]: audio/a2dp.c:setup_unref() 0x7fbed39420e0: ref=0
bluetoothd[2813]: audio/a2dp.c:setup_free() 0x7fbed39420e0
bluetoothd[2813]: audio/avdtp.c:avdtp_unref() 0x7fbed394f750: ref=2
bluetoothd[2813]: audio/avdtp.c:avdtp_sep_set_state() stream state changed: CONFIGURED -> OPEN
bluetoothd[2813]: audio/sink.c:sink_set_state() State changed /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: SINK_STATE_CONNECTING -> SINK_STATE_CONNECTED
bluetoothd[2813]: audio/transport.c:media_transport_acquire() Transport /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0/fd1: read lock acquired
bluetoothd[2813]: audio/transport.c:media_transport_acquire() Transport /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0/fd1: write lock acquired
bluetoothd[2813]: audio/transport.c:media_owner_create() Owner created: sender=:1.53 accesstype=rw
bluetoothd[2813]: audio/avdtp.c:avdtp_ref() 0x7fbed394f750: ref=3
bluetoothd[2813]: audio/a2dp.c:a2dp_sep_lock() SEP 0x7fbed394c7a0 locked
bluetoothd[2813]: audio/avdtp.c:avdtp_ref() 0x7fbed394f750: ref=4
bluetoothd[2813]: audio/a2dp.c:setup_ref() 0x7fbed394dfd0: ref=1
bluetoothd[2813]: audio/transport.c:media_request_create() Request created: method=Acquire id=3
bluetoothd[2813]: audio/transport.c:media_owner_add() Owner :1.53 Request Acquire
bluetoothd[2813]: audio/transport.c:media_transport_add() Transport /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0/fd1 Owner :1.53
bluetoothd[2813]: audio/avdtp.c:session_cb() 
bluetoothd[2813]: audio/avdtp.c:avdtp_parse_resp() START request succeeded
bluetoothd[2813]: audio/a2dp.c:start_cfm() Source 0x7fbed394c7a0: Start_Cfm
bluetoothd[2813]: /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0/fd1: fd(29) ready
bluetoothd[2813]: audio/transport.c:media_owner_remove() Owner :1.53 Request Acquire
bluetoothd[2813]: audio/a2dp.c:setup_unref() 0x7fbed394dfd0: ref=0
bluetoothd[2813]: audio/a2dp.c:setup_free() 0x7fbed394dfd0
bluetoothd[2813]: audio/avdtp.c:avdtp_unref() 0x7fbed394f750: ref=3
bluetoothd[2813]: audio/avdtp.c:avdtp_sep_set_state() stream state changed: OPEN -> STREAMING
bluetoothd[2813]: audio/sink.c:sink_set_state() State changed /org/bluez/2813/hci0/dev_00_22_37_02_7A_C0: SINK_STATE_CONNECTED -> SINK_STATE_PLAYING

--> here bluetoothd silenty dies.

[user@thimble ~]$ sudo setenforce 0

[user@thimble ~]$ sudo bluetoothd -d -n
bluetoothd[2845]: Bluetooth daemon 4.99
bluetoothd[2845]: src/main.c:parse_config() parsing main.conf
bluetoothd[2845]: src/main.c:parse_config() discovto=0
bluetoothd[2845]: src/main.c:parse_config() pairto=0
bluetoothd[2845]: src/main.c:parse_config() pageto=8192
bluetoothd[2845]: src/main.c:parse_config() auto_to=60
bluetoothd[2845]: src/main.c:parse_config() name=%h-%d
bluetoothd[2845]: src/main.c:parse_config() class=0x000100
bluetoothd[2845]: src/main.c:parse_config() discov_interval=30
bluetoothd[2845]: src/main.c:parse_config() Key file does not have key 'DeviceID'
bluetoothd[2845]: Starting SDP server
bluetoothd[2845]: src/plugin.c:plugin_init() Loading builtin plugins
bluetoothd[2845]: src/plugin.c:add_plugin() Loading audio plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading input plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading serial plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading network plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading service plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading cable plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading hciops plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading mgmtops plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading formfactor plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading storage plugin
bluetoothd[2845]: src/plugin.c:add_plugin() Loading adaptername plugin
bluetoothd[2845]: src/plugin.c:plugin_init() Loading plugins /usr/lib64/bluetooth/plugins
bluetoothd[2845]: plugins/service.c:register_interface() path /org/bluez/2845/any
bluetoothd[2845]: plugins/service.c:register_interface() Registered interface org.bluez.Service on path /org/bluez/2845/any
bluetoothd[2845]: plugins/cable.c:cable_init() Setup cable plugin
bluetoothd[2845]: network/manager.c:read_config() Config options: Security=true
bluetoothd[2845]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
bluetoothd[2845]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
bluetoothd[2845]: plugins/hciops.c:hciops_init() 
bluetoothd[2845]: plugins/hciops.c:hciops_setup() 
bluetoothd[2845]: src/main.c:main() Entering main loop
bluetoothd[2845]: src/rfkill.c:rfkill_event() RFKILL event idx 0 type 2 op 0 soft 0 hard 0
bluetoothd[2845]: src/rfkill.c:rfkill_event() RFKILL event idx 1 type 2 op 0 soft 0 hard 0
bluetoothd[2845]: src/rfkill.c:rfkill_event() RFKILL event idx 2 type 5 op 0 soft 0 hard 0
bluetoothd[2845]: src/rfkill.c:rfkill_event() RFKILL event idx 3 type 1 op 0 soft 0 hard 0
bluetoothd[2845]: plugins/hciops.c:init_known_adapters() 
bluetoothd[2845]: plugins/hciops.c:init_device() hci0
bluetoothd[2845]: Listening for HCI events on hci0
bluetoothd[2845]: plugins/hciops.c:init_conn_list() hci0
bluetoothd[2845]: HCI dev 0 up
bluetoothd[2845]: plugins/hciops.c:device_devup_setup() hci0
bluetoothd[2845]: plugins/hciops.c:read_local_version_complete() Got version for hci0
bluetoothd[2845]: src/adapter.c:btd_adapter_ref() 0x7f7440205a60: ref=1
bluetoothd[2845]: plugins/hciops.c:hciops_read_bdaddr() hci0
bluetoothd[2845]: src/sdpd-database.c:sdp_init_services_list() 
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 0
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 0
bluetoothd[2845]: plugins/service.c:register_interface() path /org/bluez/2845/hci0
bluetoothd[2845]: plugins/service.c:register_interface() Registered interface org.bluez.Service on path /org/bluez/2845/hci0
bluetoothd[2845]: network/manager.c:network_server_probe() path /org/bluez/2845/hci0
bluetoothd[2845]: src/adapter.c:btd_adapter_ref() 0x7f7440205a60: ref=2
bluetoothd[2845]: network/server.c:server_register() Registered interface org.bluez.NetworkServer on path /org/bluez/2845/hci0
bluetoothd[2845]: serial/manager.c:proxy_probe() path /org/bluez/2845/hci0
bluetoothd[2845]: src/adapter.c:btd_adapter_ref() 0x7f7440205a60: ref=3
bluetoothd[2845]: serial/proxy.c:proxy_register() Registered interface org.bluez.SerialProxyManager on path /org/bluez/2845/hci0
bluetoothd[2845]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
bluetoothd[2845]: src/adapter.c:btd_adapter_ref() 0x7f7440205a60: ref=4
bluetoothd[2845]: audio/manager.c:media_server_probe() path /org/bluez/2845/hci0
bluetoothd[2845]: src/adapter.c:btd_adapter_ref() 0x7f7440205a60: ref=5
bluetoothd[2845]: audio/manager.c:audio_adapter_ref() 0x7f7440206170: ref=1
bluetoothd[2845]: audio/manager.c:headset_server_probe() path /org/bluez/2845/hci0
bluetoothd[2845]: audio/manager.c:audio_adapter_ref() 0x7f7440206170: ref=2
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10000
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 0
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000003-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001108-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001112-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001203-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10001
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 64
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000003-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000111e-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000111f-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001203-0000-1000-8000-00805f9
bluetoothd[2845]: audio/manager.c:a2dp_server_probe() path /org/bluez/2845/hci0
bluetoothd[2845]: audio/manager.c:audio_adapter_ref() 0x7f7440206170: ref=3
bluetoothd[2845]: audio/manager.c:avrcp_server_probe() path /org/bluez/2845/hci0
bluetoothd[2845]: audio/manager.c:audio_adapter_ref() 0x7f7440206170: ref=4
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10002
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 64
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000017-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110c-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110e-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10003
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 64
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000017-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110e-0000-1000-8000-00805f9
bluetoothd[2845]: plugins/adaptername.c:adaptername_probe() Setting name 'thimble.b1-systems.local-0' for device 'hci0'
bluetoothd[2845]: plugins/hciops.c:hciops_set_name() hci0, name thimble.b1-systems.local-0
bluetoothd[2845]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2845]: plugins/formfactor.c:formfactor_probe() Setting 0x00010c for major/minor device class
bluetoothd[2845]: plugins/hciops.c:hciops_set_dev_class() hci0 major 1 minor 12
bluetoothd[2845]: plugins/hciops.c:hciops_unblock_device() hci0 dba 00:00:00:00:00:00
bluetoothd[2845]: src/device.c:device_create() Creating device /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: src/device.c:device_set_bonded() bonded 1
bluetoothd[2845]: src/device.c:btd_device_ref() 0x7f74402095a0: ref=1
bluetoothd[2845]: src/device.c:device_set_temporary() temporary 0
bluetoothd[2845]: src/device.c:device_probe_drivers() Probing drivers for 00:22:37:02:7A:C0
bluetoothd[2845]: serial/manager.c:serial_probe() path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: 00001108-0000-1000-8000-00805f9b34fb
bluetoothd[2845]: serial/port.c:create_serial_device() Registered interface org.bluez.Serial on path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: serial/manager.c:serial_probe() path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: 0000111e-0000-1000-8000-00805f9b34fb
bluetoothd[2845]: input/manager.c:headset_probe() path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: src/device.c:btd_device_ref() 0x7f74402095a0: ref=2
bluetoothd[2845]: input/device.c:input_device_new() Registered interface org.bluez.Input on path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2845]: src/device.c:btd_device_ref() 0x7f74402095a0: ref=3
bluetoothd[2845]: audio/device.c:audio_device_register() Registered interface org.bluez.Audio on path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: audio/manager.c:handle_uuid() Found Headset record
bluetoothd[2845]: audio/headset.c:headset_init() Registered interface org.bluez.Headset on path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: audio/manager.c:handle_uuid() Found Handsfree record
bluetoothd[2845]: audio/manager.c:handle_uuid() Found Audio Sink
bluetoothd[2845]: audio/sink.c:sink_init() Registered interface org.bluez.AudioSink on path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: audio/manager.c:handle_uuid() Found AV Target
bluetoothd[2845]: audio/control.c:control_init() Registered interface org.bluez.Control on path /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0
bluetoothd[2845]: audio/manager.c:handle_uuid() Found AV Remote
bluetoothd[2845]: plugins/hciops.c:hciops_load_keys() hci0 keys 1 debug_keys 0
bluetoothd[2845]: Unable to load keys to adapter_ops: Function not implemented (38)
bluetoothd[2845]: plugins/hciops.c:hciops_get_conn_list() hci0
bluetoothd[2845]: src/manager.c:btd_manager_register_adapter() Adapter /org/bluez/2845/hci0 registered
bluetoothd[2845]: src/adapter.c:btd_adapter_ref() 0x7f7440205a60: ref=6
bluetoothd[2845]: plugins/hciops.c:hciops_set_dev_class() hci0 major 1 minor 0
bluetoothd[2845]: audio/manager.c:state_changed() /org/bluez/2845/hci0 powered on
bluetoothd[2845]: audio/telephony.c:telephony_init() 
bluetoothd[2845]: audio/headset.c:telephony_ready_ind() Telephony plugin initialized
bluetoothd[2845]: audio/headset.c:print_ag_features() HFP AG features: "Ability to reject a call" "Enhanced call status" "Extended Error Result Codes" 
bluetoothd[2845]: plugins/hciops.c:hciops_disable_cod_cache() hci0 cache_enable 1
bluetoothd[2845]: plugins/hciops.c:hciops_disable_cod_cache() hci0 current_cod 0x000000 wanted_cod 0x400100
bluetoothd[2845]: plugins/hciops.c:write_class() hci0 class 0x400100
bluetoothd[2845]: Adapter /org/bluez/2845/hci0 has been enabled
bluetoothd[2845]: plugins/hciops.c:hciops_set_discoverable() hci0 discoverable 0
bluetoothd[2845]: plugins/hciops.c:hciops_set_pairable() hci0 pairable 1
bluetoothd[2845]: plugins/hciops.c:hciops_stop_inquiry() hci0
bluetoothd[2845]: src/adapter.c:btd_adapter_unref() 0x7f7440205a60: ref=5
bluetoothd[2845]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/HFPAG
bluetoothd[2845]: audio/avdtp.c:avdtp_register_sep() SEP 0x7f744020c850 registered: type:0 codec:0 seid:1
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Adding record with handle 0x10004
bluetoothd[2845]: plugins/hciops.c:hciops_add_uuid() hci0
bluetoothd[2845]: plugins/hciops.c:update_service_classes() hci0 value 72
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000019-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00000100-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 00001002-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110a-0000-1000-8000-00805f9
bluetoothd[2845]: src/sdpd-service.c:add_record_to_server() Record pattern UUID 0000110d-0000-1000-8000-00805f9
bluetoothd[2845]: Endpoint registered: sender=:1.53 path=/MediaEndpoint/A2DPSource
bluetoothd[2845]: plugins/hciops.c:read_local_ext_features_complete() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:read_tx_power_complete() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2845]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2845]: plugins/hciops.c:write_class() hci0 class 0x480100
bluetoothd[2845]: Inquiry Cancel Failed with status 0x12
bluetoothd[2845]: plugins/hciops.c:read_local_name_complete() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2845]: plugins/hciops.c:read_simple_pairing_mode_complete() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2845]: plugins/hciops.c:update_ext_inquiry_response() hci0
bluetoothd[2845]: plugins/hciops.c:read_scan_complete() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:hciops_set_limited_discoverable() hci0 limited 0
bluetoothd[2845]: src/adapter.c:adapter_mode_changed() old 0x00 new 0x02
bluetoothd[2845]: src/adapter.c:set_mode_complete() 
bluetoothd[2845]: src/adapter.c:register_agent() Agent registered for hci0 at :1.70:/org/bluez/agent/hci0
bluetoothd[2845]: audio/headset.c:headset_set_state() State changed /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: HEADSET_STATE_DISCONNECTED -> HEADSET_STATE_CONNECTING
bluetoothd[2845]: audio/media.c:headset_state_changed() 
bluetoothd[2845]: audio/media.c:media_endpoint_async_call() Calling SetConfiguration: name = :1.53 path = /MediaEndpoint/HFPAG
bluetoothd[2845]: plugins/hciops.c:conn_complete() status 0x00
bluetoothd[2845]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2845]: plugins/hciops.c:remote_features_information() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:remote_name_information() hci0 status 0
bluetoothd[2845]: audio/headset.c:headset_set_channel() Discovered Handsfree service on channel 1
bluetoothd[2845]: audio/headset.c:rfcomm_connect() /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: Connecting to 00:22:37:02:7A:C0 channel 1
bluetoothd[2845]: plugins/hciops.c:link_key_request() hci0 dba 00:22:37:02:7A:C0
bluetoothd[2845]: plugins/hciops.c:get_auth_info() hci0 dba 00:22:37:02:7A:C0
bluetoothd[2845]: plugins/hciops.c:link_key_request() kernel auth requirements = 0x04
bluetoothd[2845]: plugins/hciops.c:link_key_request() Matching key found
bluetoothd[2845]: plugins/hciops.c:link_key_request() link key type 0x04
bluetoothd[2845]: plugins/hciops.c:auth_complete() hci0 status 0
bluetoothd[2845]: plugins/hciops.c:bonding_complete() status 0x00
bluetoothd[2845]: src/adapter.c:adapter_get_device() 00:22:37:02:7A:C0
bluetoothd[2845]: src/device.c:device_bonding_complete() bonding (nil) status 0x00
bluetoothd[2845]: audio/headset.c:headset_connect_cb() /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: Connected to 00:22:37:02:7A:C0
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+BRSF=27
bluetoothd[2845]: audio/headset.c:print_hf_features() HFP HF features: "EC and/or NR function" "Call waiting and 3-way calling" "Voice recognition activation" "Remote volume control" 
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+CIND=?
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+CIND?
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+CMER=3, 0, 0, 1
bluetoothd[2845]: audio/headset.c:event_reporting() Event reporting (CMER): mode=3, ind=1
bluetoothd[2845]: audio/headset.c:hfp_slc_complete() HFP Service Level Connection established
bluetoothd[2845]: audio/telephony.c:telephony_device_connected() telephony-dummy: device 0x7f744020bee0 connected
bluetoothd[2845]: audio/headset.c:headset_set_state() State changed /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: HEADSET_STATE_CONNECTING -> HEADSET_STATE_CONNECTED
bluetoothd[2845]: audio/media.c:headset_state_changed() 
bluetoothd[2845]: audio/avdtp.c:avdtp_ref() 0x7f744020f350: ref=2
bluetoothd[2845]: audio/avdtp.c:avdtp_ref() 0x7f744020f350: ref=3
bluetoothd[2845]: audio/sink.c:sink_set_state() State changed /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: SINK_STATE_DISCONNECTED -> SINK_STATE_CONNECTING
bluetoothd[2845]: audio/avdtp.c:avdtp_unref() 0x7f744020f350: ref=2
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+VGS=06
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+VGM=10
bluetoothd[2845]: audio/headset.c:handle_event() Received AT+CSRSF=0,0,0,0,0,7
bluetoothd[2845]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
bluetoothd[2845]: audio/avdtp.c:avdtp_connect_cb() AVDTP: connected signaling channel to 00:22:37:02:7A:C0
bluetoothd[2845]: audio/avdtp.c:avdtp_connect_cb() AVDTP imtu=672, omtu=895
bluetoothd[2845]: audio/avctp.c:avctp_set_state() AVCTP Connecting
bluetoothd[2845]: audio/avdtp.c:session_cb() 
bluetoothd[2845]: audio/avdtp.c:avdtp_parse_resp() DISCOVER request succeeded
bluetoothd[2845]: audio/avdtp.c:avdtp_discover_resp() seid 1 type 1 media 0 in use 0
bluetoothd[2845]: audio/avdtp.c:avdtp_discover_resp() seid 3 type 1 media 0 in use 0
bluetoothd[2845]: audio/avdtp.c:session_cb() 
bluetoothd[2845]: audio/avdtp.c:avdtp_parse_resp() GET_CAPABILITIES request succeeded
bluetoothd[2845]: audio/avdtp.c:avdtp_get_capabilities_resp() seid 1 type 1 media 0
bluetoothd[2845]: audio/avdtp.c:session_cb() 
bluetoothd[2845]: audio/avdtp.c:avdtp_parse_resp() GET_CAPABILITIES request succeeded
bluetoothd[2845]: audio/avdtp.c:avdtp_get_capabilities_resp() seid 3 type 1 media 0
bluetoothd[2845]: audio/sink.c:discovery_complete() Discovery complete
bluetoothd[2845]: audio/avdtp.c:avdtp_ref() 0x7f744020f350: ref=3
bluetoothd[2845]: audio/a2dp.c:setup_ref() 0x7f744020c550: ref=1
bluetoothd[2845]: audio/media.c:media_endpoint_async_call() Calling SelectConfiguration: name = :1.53 path = /MediaEndpoint/A2DPSource
bluetoothd[2845]: audio/a2dp.c:a2dp_config() a2dp_config: selected SEP 0x7f744020c850
bluetoothd[2845]: audio/a2dp.c:setup_ref() 0x7f744020c550: ref=2
bluetoothd[2845]: audio/avdtp.c:avdtp_set_configuration() 0x7f744020f350: int_seid=1, acp_seid=1
bluetoothd[2845]: audio/a2dp.c:setup_unref() 0x7f744020c550: ref=1
bluetoothd[2845]: audio/avctp.c:avctp_connect_cb() AVCTP: connected to 00:22:37:02:7A:C0
bluetoothd[2845]: audio/avctp.c:init_uinput() AVRCP: uinput initialized for 00:22:37:02:7A:C0
bluetoothd[2845]: audio/avctp.c:avctp_set_state() AVCTP Connected
bluetoothd[2845]: audio/avdtp.c:session_cb() 
bluetoothd[2845]: audio/avdtp.c:avdtp_parse_resp() SET_CONFIGURATION request succeeded
bluetoothd[2845]: audio/a2dp.c:setconf_cfm() Source 0x7f744020c850: Set_Configuration_Cfm
bluetoothd[2845]: audio/media.c:media_endpoint_async_call() Calling SetConfiguration: name = :1.53 path = /MediaEndpoint/A2DPSource
bluetoothd[2845]: audio/avdtp.c:avdtp_sep_set_state() stream state changed: IDLE -> CONFIGURED
bluetoothd[2845]: audio/avdtp.c:session_cb() 
bluetoothd[2845]: audio/avdtp.c:avdtp_parse_resp() OPEN request succeeded
bluetoothd[2845]: audio/avdtp.c:avdtp_connect_cb() AVDTP: connected transport channel to 00:22:37:02:7A:C0
bluetoothd[2845]: audio/avdtp.c:handle_transport_connect() Flushable packets enabled
bluetoothd[2845]: audio/avdtp.c:handle_transport_connect() sk 29, omtu 895, send buffer size 106496
bluetoothd[2845]: audio/a2dp.c:open_cfm() Source 0x7f744020c850: Open_Cfm
bluetoothd[2845]: audio/sink.c:stream_setup_complete() Stream successfully created
bluetoothd[2845]: audio/a2dp.c:setup_unref() 0x7f744020c550: ref=0
bluetoothd[2845]: audio/a2dp.c:setup_free() 0x7f744020c550
bluetoothd[2845]: audio/avdtp.c:avdtp_unref() 0x7f744020f350: ref=2
bluetoothd[2845]: audio/avdtp.c:avdtp_sep_set_state() stream state changed: CONFIGURED -> OPEN
bluetoothd[2845]: audio/sink.c:sink_set_state() State changed /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: SINK_STATE_CONNECTING -> SINK_STATE_CONNECTED
bluetoothd[2845]: audio/transport.c:media_transport_acquire() Transport /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0/fd1: read lock acquired
bluetoothd[2845]: audio/transport.c:media_transport_acquire() Transport /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0/fd1: write lock acquired
bluetoothd[2845]: audio/transport.c:media_owner_create() Owner created: sender=:1.53 accesstype=rw
bluetoothd[2845]: audio/avdtp.c:avdtp_ref() 0x7f744020f350: ref=3
bluetoothd[2845]: audio/a2dp.c:a2dp_sep_lock() SEP 0x7f744020c850 locked
bluetoothd[2845]: audio/avdtp.c:avdtp_ref() 0x7f744020f350: ref=4
bluetoothd[2845]: audio/a2dp.c:setup_ref() 0x7f744020e9b0: ref=1
bluetoothd[2845]: audio/transport.c:media_request_create() Request created: method=Acquire id=3
bluetoothd[2845]: audio/transport.c:media_owner_add() Owner :1.53 Request Acquire
bluetoothd[2845]: audio/transport.c:media_transport_add() Transport /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0/fd1 Owner :1.53
bluetoothd[2845]: audio/avdtp.c:session_cb() 
bluetoothd[2845]: audio/avdtp.c:avdtp_parse_resp() START request succeeded
bluetoothd[2845]: audio/a2dp.c:start_cfm() Source 0x7f744020c850: Start_Cfm
bluetoothd[2845]: /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0/fd1: fd(29) ready
bluetoothd[2845]: audio/transport.c:media_owner_remove() Owner :1.53 Request Acquire
bluetoothd[2845]: audio/a2dp.c:setup_unref() 0x7f744020e9b0: ref=0
bluetoothd[2845]: audio/a2dp.c:setup_free() 0x7f744020e9b0
bluetoothd[2845]: audio/avdtp.c:avdtp_unref() 0x7f744020f350: ref=3
bluetoothd[2845]: audio/avdtp.c:avdtp_sep_set_state() stream state changed: OPEN -> STREAMING
bluetoothd[2845]: audio/sink.c:sink_set_state() State changed /org/bluez/2845/hci0/dev_00_22_37_02_7A_C0: SINK_STATE_CONNECTED -> SINK_STATE_PLAYING

--> bluetoothd works fine, headset is now usable.
Comment 1 Andre Naehring 2012-06-23 04:54:20 EDT
an additional note: I must not disable selinux completly. Just switchting form enforcing to permissive mode is enough. So, the ruleset is missing something.
Comment 2 Scott Dodson 2012-08-04 21:09:22 EDT
This seems to be resolved with the latest selinux-policy, do you see the same?
Comment 3 Andre Naehring 2012-08-06 02:20:06 EDT
Yes, looks good right now. Didn't get that there was a policy update. Switched back to enforcing and the Headset still connects fine and is usable.

Thanks for the hint.

Note You need to log in before you can comment on or make changes to this bug.